using System;

namespace Petlja1._1
{
    class Program
    {
        static void Main(string[] args)
        {
            int x = int.Parse(Console.ReadLine());
            int y = int.Parse(Console.ReadLine());
            int z = 0;
            int d = 1;
            while(Math.Max(x,y)>0)
            {
                if(x%10>y%10)
                {
                    
                    z += (x % 10)*d;
                }
                if(y%10>x%10)
                {
                   
                    z += (y % 10)*d;
                }
                if(x%10==y%10)
                {
                    if (x == 0 || y == 0)
                    {

                    }

                    else
                    {
                        z += (y % 10) * d;
                        d *= 10;
                        z += (y % 10) * d;
                    }
                }
                x = x / 10;
                y = y / 10;
                d *= 10;
            }
            Console.WriteLine(z);
            
        }
    }
}